<mat-sidenav-container class="sidenav-container">
  <mat-sidenav #drawer class="sidenav" fixedInViewport
      [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
      [mode]="(isHandset$ | async) ? 'over' : 'side'"
      [opened]="(isHandset$ | async) === false">
      <div class="spacearound">
        <a routerLink="/index" routerLinkActive="active">
          <img class="logo" src="assets/logo.svg" alt=""> 
        </a> 
        <mat-nav-list class="navlist">
          <a routerLink="/index" routerLinkActive="active">
            <mat-icon matListIcon>home</mat-icon>
          </a>
          <a routerLink="/projects" routerLinkActive="active">
            <mat-icon matListIcon>folder</mat-icon>
          </a>
          <!-- <a routerLink="/blog" routerLinkActive="active">
            <mat-icon matListIcon>whatshot</mat-icon>
          </a> -->
          <a routerLink="/contact" routerLinkActive="active">
            <mat-icon matListIcon>email</mat-icon>
          </a>
        </mat-nav-list>
        <mat-list class="linklist">
          <a href="https://www.linkedin.com/in/soren-lepera-dev/" target="_blank" title="Ouvre mon profil linkedin">
            <fa-icon [icon]="faLinkedin" alt="linkedin"></fa-icon>
          </a>
          <a href="https://github.com/sorenouw" target="_blank" title="Ouvre mon profil github">
            <fa-icon [icon]="faGithub" alt="github"></fa-icon>
          </a>
          <a href="https://gitlab.com/soren.lepera" target="_blank" title="Ouvre mon profil gitlab">
            <fa-icon [icon]="faGitlab" alt="gitlab"></fa-icon>
          </a>
         </mat-list>
      </div>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar class="mobile-menu d-flex justify-content-between" *ngIf="isHandset$ | async">
      <button
      type="button"
      aria-label="Toggle sidenav"
      mat-icon-button
      (click)="drawer.toggle()"
      >
      <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
    </button>
    <a class="logo" routerLink="/index" routerLinkActive="active">
      <img class="logo" src="assets/logo.svg" alt=""> 
    </a> 
    </mat-toolbar>

    <router-outlet></router-outlet>  
  </mat-sidenav-content>
</mat-sidenav-container>
